Commit 2f0e2a11 authored by Bas Couwenberg's avatar Bas Couwenberg

Disable PIE only on older Ubuntu releases.

parent 83c7d487
postgis (2.4.4+dfsg-5) UNRELEASED; urgency=medium
* Re-enable SFCGAL support, FTBFS with CGAL 4.12 is fixed.
* Disable PIE only on older Ubuntu releases.
-- Bas Couwenberg <sebastic@debian.org> Fri, 06 Apr 2018 16:39:56 +0200
......
......@@ -26,6 +26,7 @@ Build-Depends: autoconf2.13,
libprotobuf-c-dev,
libsfcgal-dev [!armel],
libxml2-dev (>= 2.5.0~),
lsb-release,
po-debconf,
postgresql-all,
postgresql-common (>= 148~),
......
......@@ -26,6 +26,7 @@ Build-Depends: autoconf2.13,
libprotobuf-c-dev,
libsfcgal-dev [!armel],
libxml2-dev (>= 2.5.0~),
lsb-release,
po-debconf,
postgresql-all,
postgresql-common (>= 148~),
......
......@@ -12,9 +12,12 @@ export DEB_BUILD_MAINT_OPTIONS=hardening=+all
# Disable PIE on Ubuntu where it's still problematic
VENDOR_DERIVES_FROM_UBUNTU ?= $(shell dpkg-vendor --derives-from Ubuntu && echo yes)
DISTRIBUTION_RELEASE := $(shell lsb_release -cs)
ifeq ($(VENDOR_DERIVES_FROM_UBUNTU),yes)
export DEB_BUILD_MAINT_OPTIONS=hardening=+all,-pie
ifneq (,$(filter $(DISTRIBUTION_RELEASE),trusty xenial artful bionic))
export DEB_BUILD_MAINT_OPTIONS=hardening=+all,-pie
endif
endif
include /usr/share/dpkg/pkg-info.mk
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment